Overview | Modules | Class Hierarchy | Classes | Members

# Graph.h File Reference

`#include <iostream>`
`#include <string>`
`#include <vector>`
`#include <climits>`
`#include "tulip/tulipconf.h"`
`#include "tulip/Reflect.h"`
`#include "tulip/PluginContext.h"`
`#include "tulip/PluginProgress.h"`
`#include "tulip/Node.h"`
`#include "tulip/Edge.h"`
`#include "tulip/Observable.h"`
`#include "tulip/ObservableGraph.h"`
`#include "cxx/Graph.cxx"`

Include dependency graph for Graph.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

- namespace tlp

## Classes

- class tlp::Graph
    Interface for a graph. More...

## Enumerations

- enum tlp::ElementType { tlp::NODE = 0, tlp::EDGE }

## Functions

- TLP_SCOPE Graph * tlp::loadGraph (const std::string &filename)
- TLP_SCOPE bool tlp::saveGraph (Graph *, const std::string &filename)
- TLP_SCOPE Graph * tlp::importGraph (const std::string &alg, DataSet &dataSet, PluginProgress *plugProgress=0, Graph *newGraph=0)
- TLP_SCOPE bool tlp::exportGraph (Graph *graph, std::ostream &os, const std::string &alg, DataSet &dataSet, PluginProgress *plugProgress=0)
- TLP_SCOPE bool tlp::applyAlgorithm (Graph *graph, std::string &errorMsg, DataSet *dataSet=0, const std::string &alg="any", PluginProgress *plugProgress=0)
- TLP_SCOPE Graph * tlp::newGraph ()
- TLP_SCOPE Graph * tlp::newSubGraph (Graph *, std::string name="unnamed")
- TLP_SCOPE Graph * tlp::newCloneSubGraph (Graph *, std::string name="unnamed")
- TLP_SCOPE bool tlp::getSource (Graph *, node &n)
- TLP_SCOPE void tlp::copyToGraph (Graph *outG, Graph *inG, BooleanProperty *inSelection=0, BooleanProperty *outSelection=0)
- TLP_SCOPE void tlp::removeFromGraph (Graph *ioG, BooleanProperty *inSelection=0)
- TLP_SCOPE std::ostream & operator<< (std::ostream &, const tlp::Graph *)
    Print the graph (only nodes and edges) in ostream, in the tulip format.

## Function Documentation

TLP_SCOPE std::ostream& operator<< | ( | std::ostream & | ,
|  | const tlp::Graph * |
| ) |

| Print the graph (only nodes and edges) in ostream, in the tulip format.

Tulip Software by LaBRI Visualization Team 2001 - 2010